## cl-babel 20240605.git23c1440

=== doc/Makefile ===
# -*- Mode: Makefile; tab-width: 4; indent-tabs-mode: t -*-

MANUAL := "babel"
SYSTEM := "babel"
PACKAGES := babel babel-encodings
TITLE := "Babel Manual"
CSS := "default"

export LISP ?= sbcl
export SBCL_OPTIONS ?= --noinform

.PHONY: all clean html pdf upload

all:
	texinfo-docstrings all $(SYSTEM) $(MANUAL) $(TITLE) $(CSS) $(PACKAGES)

pdf:
	texinfo-docstrings pdf $(SYSTEM) $(MANUAL) $(TITLE) $(CSS) $(PACKAGES)

html:
	texinfo-docstrings html $(SYSTEM) $(MANUAL) $(TITLE) $(CSS) $(PACKAGES)

upload:
#	rsync -av --delete -e ssh manual common-lisp.net:/project/FOO/public_html/
#	scp -r manual common-lisp.net:/project/cffi/public_html/

clean:
	find . \( -name "*.pdf" -o -name "*.html" -o -name "*.info" -o -name "*.aux" -o -name "*.cp" -o -name "*.fn" -o -name "*.fns" -o -name "*.ky" -o -name "*.log" -o -name "*.pg" -o -name "*.toc" -o -name "*.tp" -o -name "*.vr" -o -name "*.dvi" -o -name "*.cps" -o -name "*.vrs" \) -exec rm {} \;
	rm -rf include manual

# vim: ft=make ts=4 noet

## cl-babel 20171213.git546fa82

=== debian/changelog ===
cl-babel (20171213.git546fa82-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/watch now tracks git HEAD, as Quicklisp does.
  * Remove obsolete README.Debian.
  * Remove ${shlibs:Depends}, this is an arch:all package.
  * Mark the package as M-A foreign.
  * Ship README.md.
  * Add Depends on cl-trivial-gray-streams, needed by babel-streams.
  * Bump to debhelper compat level 11.
  * Rewrite d/rules using dh.
  * Rewrite d/copyright using machine-readable format 1.0.
  * Bump S-V to 4.1.4.
  * Update package description.
  * Add an autopkgtest that loads the ASDF systems on sbcl, ecl and clisp.
    Running the testsuite is not yet possible, because hu.dwim.stefil is not
    packaged in Debian.
  * Add myself to Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 27 Apr 2018 15:37:17 +0200

cl-babel (0.3.0+20091229-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove Build-Depends on dh-lisp.
  * Use secure URL for Homepage.
  * Move to 3.0 (quilt) source format.
  * Write a d/watch file.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 05 Apr 2018 22:19:35 +0200

cl-babel (0.3.0+20091229-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't install non-existent files (Closes: #823044).
  * Add explicit debian/source/format.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 26 Nov 2016 16:54:50 +0500

cl-babel (0.3.0+20091229-1) unstable; urgency=low

  * New upstream with minor changes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 31 Dec 2009 14:42:05 +0100

cl-babel (0.3.0+20090601-2) unstable; urgency=low

  * Fixed debian/copyright file to include all authors

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 10 Nov 2009 07:05:09 +0100

cl-babel (0.3.0+20090601-1) unstable; urgency=low

  * First packaged.
  * Added dummy watch file

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 07 Nov 2009 14:25:03 +0100

=== debian/control ===
Source: cl-babel
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.4
Homepage: https://common-lisp.net/project/babel/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-babel.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-babel

Package: cl-babel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         cl-trivial-features,
         cl-alexandria,
         cl-trivial-gray-streams
Description: charset encoding/decoding library for Common Lisp
 Babel is a charset encoding/decoding library, not unlike GNU libiconv, but
 completely written in Common Lisp.
 .
 It strives to achieve decent performance. To that effect, it uses OpenMCL's
 approach of calculating the destination buffer size in advance. Most of the
 encoding/decoding algorithms have been adapted from OpenMCL's source.
 .
 Another important goal is reusability. Similarly to SBCL, it defines an
 interface wherein the algorithms can be reused between a variety of data types
 so long we're dealing with conversions between octets and unicode code points.
 .
 Babel comes with converters between strings and (unsigned-byte 8) vectors but
 can be easily extended to deal with, e.g., strings and foreign memory, vectors
 and Closure's runes, etc...

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	rm debian/cl-babel/usr/share/common-lisp/source/babel/tests/gen-test-files.sh

## cl-babel 20200116.gitaeed2d1

=== debian/changelog ===
cl-babel (20200116.gitaeed2d1-1) unstable; urgency=medium

  * New upstream snapshot
  * Bump to debhelper compat level 12
  * Add Rules-Requires-Root: no
  * Bump S-V to 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jan 2020 19:22:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 Homepage: https://common-lisp.net/project/babel/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-babel.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-babel
+Rules-Requires-Root: no
 
 Package: cl-babel
 Architecture: all

## cl-babel 20200719.gitf892d05

=== debian/changelog ===
cl-babel (20200719.gitf892d05-2) unstable; urgency=medium

  * Disable clisp autopkgtest on ppc64el, it is not reliable there
  * Bump to S-V 4.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Sep 2021 20:19:27 +0200

cl-babel (20200719.gitf892d05-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream snapshot
  * d/copyright: reflect upstream changes
  * Mark autopkgtests as superficial
  * debian/rules: simplify using debhelper 12.8’s execute_after_* rules
  * Bump to debhelper 13
  * Bump to S-V 4.5.1
  * Add lintian overrides for test files not in UTF-8

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Nov 2020 17:29:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 12.8~)
+Standards-Version: 4.6.0
 Homepage: https://common-lisp.net/project/babel/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-babel.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-babel

## cl-babel 20240605.git23c1440

=== debian/changelog ===
cl-babel (20240605.git23c1440-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

  [ Peter Van Eynde ]
  * New upstream version 20240605.git23c1440
  * Updated Standards-Version, no changes
  * Improve debian/upstream/metadata

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Nov 2024 10:35:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://common-lisp.net/project/babel/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-babel.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-babel

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl
Restrictions: allow-stderr, superficial

Test-Command: ecl -norc -shell debian/tests/runtests.lisp
Depends: @, ecl
Restrictions: allow-stderr, superficial

Test-Command: clisp -norc debian/tests/runtests.lisp
Depends: @, clisp
Restrictions: allow-stderr, superficial
Architecture: !ppc64el

## cl-babel 20250905.git4eaf3f2

=== debian/changelog ===
cl-babel (20250905.git4eaf3f2-1) unstable; urgency=medium

  * New upstream version 20250905.git4eaf3f2
  * Updated Standards-Version, no changes
  * Fix lintian overrides

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 25 Sep 2025 15:28:06 +0200

cl-babel (20240605.git23c1440-2) unstable; urgency=medium

  * Remove autopkgtests as they are not reliable and does not add value.
    (Closes: 1100837, 897043)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 19 Mar 2025 15:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://common-lisp.net/project/babel/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-babel.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-babel

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

execute_after_dh_install:
	rm debian/cl-babel/usr/share/common-lisp/source/babel/tests/gen-test-files.sh

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
https://github.com/cl-babel/babel \
HEAD debian uupdate
